Bug 890525 - RHEVM-CLI: Wrong error message when trying to add disk with empty storage domain [TEXT]
RHEVM-CLI: Wrong error message when trying to add disk with empty storage dom...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Michael Pasternak
Ilia Meerovich
Depends On:
Blocks: 915537
  Show dependency treegraph
Reported: 2012-12-27 09:24 EST by Oded Ramraz
Modified: 2016-02-10 14:20 EST (History)
9 users (show)

See Also:
Fixed In Version: SF4
Doc Type: Bug Fix
Doc Text:
An 'unknown error' message was displayed if the incorrect syntax was used when adding a disk. The message was displayed when the storage domain value was empty. The message now indicates that it is a syntax error and where the error is occurring. It also suggests the relevant help topic to view.
Story Points: ---
Clone Of:
Last Closed: 2013-06-10 16:30:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10679 None None None Never

  None (edit)
Description Oded Ramraz 2012-12-27 09:24:04 EST
Description of problem:

Wrong error message when trying to add disk with empty storage domain:
"'NoneType' object has no attribute 'split'"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

[RHEVM shell (connected)]# add disk --name oded --format cow --interface ide --size 12 --storage_domains-storage_domain

unknown error: 'NoneType' object has no attribute 'split'
Comment 1 Michael Pasternak 2013-01-06 06:38:19 EST
Comment 2 Oded Ramraz 2013-02-06 05:30:38 EST
[RHEVM shell (connected)]# add disk --name oded --format cow --interface ide --size 12 --storage_domains-storage_domain

error: invalid syntax at "--storage_domains-storage_domain", see help on collection based arguments for more details.

Verified sf5
Comment 3 errata-xmlrpc 2013-06-10 16:30:00 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.